Introduction
The FeatureOS search changelogs API allows you to search through your changelogs using a query string. Results are returned directly from the search engine.
GET https://api.featureos.app/api/v3/search_changelogsHeaders
| Parameter | Default | Description | |
|---|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. | |
Query Parameters
| Parameter | Default | Description | |
|---|---|---|---|
| query | - | The search query string. | |
| page | 1 | Used to paginate responses. | |
| per_page | 30 | Number of results per page. Maximum is 100. | |
Sample response
{ "hits": [ { "id": 1, "title": "API V1 is now live!", "description_html": "<p>Go use our new API now!</p>", "slug": "api-v1-is-now-live", "published": true, "published_at": { "humanized": "October 12th, 2021" }, "type": "changelog" } ], "query": "API", "processingTimeMs": 2, "limit": 30, "offset": 0, "estimatedTotalHits": 1}